var ve = Object.defineProperty;
var xe = (n, e, t) => e in n ? ve(n, e, { enumerable: !0, configurable: !0, writable: !0, value: t }) : n[e] = t;
var a = (n, e, t) => (xe(n, typeof e != "symbol" ? e + "" : e, t), t);
import { reactive as E, ref as F, defineComponent as q, nextTick as Se, resolveComponent as p, withDirectives as G, openBlock as c, createBlock as f, withCtx as i, createElementVNode as V, renderSlot as _, createVNode as v, unref as o, withKeys as ie, createElementBlock as T, Fragment as U, renderList as Q, resolveDynamicComponent as de, mergeProps as L, vShow as Fe, resolveDirective as se, createTextVNode as j, computed as Z, createCommentVNode as J, toDisplayString as Y, createSlots as De, watch as Ce, isRef as Ee, onMounted as $e, normalizeProps as te, guardReactiveProps as oe, withModifiers as ce } from "vue";
import { ElMessageBox as me, ElMessage as we } from "element-plus";
import { useRoute as Ae } from "vue-router";
const z = class {
  // 私有的构造方法，无法使用new创建
  constructor(e) {
    /** 组件配置 */
    a(this, "componentConfig");
    /** 数据存储 */
    a(this, "dataStorage");
    /** 方法 */
    a(this, "crudFunction");
    /** 存储注册组件时，传入的配置对象 */
    a(this, "InitConfig");
    e && (this.InitConfig = e);
  }
  /** 获取实例容器 */
  static getCrudCtx() {
    return z.instance || (z.instance = new z()), z.instance;
  }
  /**
   * 根据每个页面的Props进行初始化所有参数
   * @param props 组件Props
   */
  InitializationProps(e) {
    this.componentConfig = new Me(this.InitConfig, e), this.dataStorage = new Oe(this.componentConfig);
  }
  /**
   * 初始化操作函数，根据props创建新的CrudFunction实例
   * @param extendedMethods 扩展CrudFunction的方法包含重写方法的对象
   */
  InitFunction(e) {
    const t = new He();
    Object.keys(e).length === 0 && e.constructor === Object || Object.assign(t, e), this.crudFunction = t;
  }
  /** Debug方法 */
  CrudDebug(...e) {
    this.componentConfig.debug && console.info("%c【DeBug】", "color:red", ...e);
  }
};
let N = z;
// 单实例容器
a(N, "instance"), /** 组件注册时，使用传入的 Config全局配置 进行初始化 */
a(N, "InitGlobalConfig", (e) => {
  z.instance = new z(e);
});
function ee(n) {
  if (typeof n != "object" || n === null)
    return n;
  if (Array.isArray(n))
    return n.map((t) => ee(t));
  const e = {};
  for (const t in n)
    Object.prototype.hasOwnProperty.call(n, t) && (e[t] = ee(n[t]));
  return e;
}
function Pe(n) {
  const e = {};
  for (const [t, r] of Object.entries(n))
    r !== "" && r !== null && !Object.is(r, NaN) ? e[t] = typeof r == "string" ? r.trim() : r : e[t] = void 0;
  return e;
}
function pe(n, e) {
  let t = {};
  return typeof e == "string" ? t[e] = n[e] : e.forEach((r) => {
    t[r] = n[r];
  }), t;
}
function ke(n, e) {
  let t = {};
  return Object.getOwnPropertyNames(e).forEach((u) => {
    n[u] !== e[u] && (t[u] = e[u]);
  }), t;
}
class Me {
  constructor(e, t) {
    /** 调试模式 @default false */
    a(this, "debug");
    /** 请求对象配置 @default axios.create() */
    a(this, "axiosService");
    /** 数据加载完成后是否立即查询 */
    a(this, "isAfterMountQuery");
    /** Props的参数 */
    a(this, "PropsStore", E({}));
    /** source数据元素拆分 */
    a(this, "ElementArrs", E({ filter: {}, editor: {}, column: {}, expand: {}, columns: {} }));
    /** 初始化搜索表单的值 */
    a(this, "initSearchModel", E({}));
    /** 初始化编辑表单的值 */
    a(this, "initEditModel", E({}));
    /** 要展示的表格列 */
    a(this, "tableColumn", E({}));
    /** 搜索/新增/编辑的表单状态 */
    a(this, "FormStore", E({
      /** 显示搜索表单 */
      isShowSearchForm: !0,
      /** 是查询中或者提交中 */
      isLoading: !1,
      /** 表单Label宽度 */
      labelWidth: 120,
      /** 表单抽屉的大小 */
      drawerSize: 500
    }));
    /** Table区域的状态 */
    a(this, "TableStore", E({
      /** 表格高度 */
      tableHeight: 500,
      /** 开启多选 */
      isOpenMultipleSelection: !1,
      /** 开启展开行 */
      isOpenExpand: !1,
      /** 展开行数量 */
      expandColumn: 4,
      /** 开启索引 */
      isOpenIndex: !1,
      /** 显示菜单栏 */
      isShowMenu: !0,
      /** 菜单栏对齐 */
      menuAlign: "left",
      /** 菜单栏宽度 */
      menuWidth: 200,
      /** 加载状态 */
      loading: !1
    }));
    /** 页码状态存储 */
    a(this, "PageStore", E({
      /** 当前页 */
      current: 1,
      /** 分页大小 */
      pageSize: 10,
      /** 总页数 */
      total: 0,
      /** 每页显示个数选择器的选项设置 */
      pageSizes: [10, 20, 50, 100],
      /** 组件布局，子组件名用逗号分隔 */
      layout: "->,total, sizes, prev, pager, next, jumper",
      /** 只有一页时隐藏分页 */
      isHideOnSinglePage: !1
    }));
    /** 权限字段映射[显示状态控制]（Crud的按钮权限 与 使用时传入的已拥有的权限 做比较） */
    a(this, "PermissionNames", E({
      add: "add",
      edit: "edit",
      delete: "delete",
      deleteFlag: "deleteFlag"
    }));
    /** 拥有的权限 */
    a(this, "Permissions");
    /** API接口路由名称 */
    a(this, "ApiRouteNames", E({
      query: "query",
      add: "add",
      edit: "edit",
      delete: "delete",
      deleteFlag: "deleteFlag"
    }));
    /** 根据BaseUrl、ApiEndpoints生成的具体接口 */
    a(this, "ApiNames", E({
      query: "baseUrl/query",
      add: "baseUrl/add",
      edit: "baseUrl/edit",
      delete: "baseUrl/delete",
      deleteFlag: "baseUrl/deleteFlag"
    }));
    if (Object.getOwnPropertyNames(e).length !== 0) {
      const { debug: r, axiosService: u, isAfterMountQuery: l, FormStore: s, TableStore: C, PageStore: g, PermissionNames: d, ApiRouteNames: m } = e;
      this.debug = r === void 0 ? !1 : r, this.axiosService = u, this.isAfterMountQuery = l === void 0 ? !0 : l, Object.assign(this.FormStore, s), Object.assign(this.TableStore, C), Object.assign(this.PageStore, g), Object.assign(this.PermissionNames, d), Object.assign(this.ApiRouteNames, m);
    }
    if (Object.getOwnPropertyNames(t).length !== 0) {
      Object.assign(this.PropsStore, t);
      const { source: r, Permissions: u, debug: l, axiosService: s, isAfterMountQuery: C, FormStore: g, TableStore: d, PageStore: m, PermissionNames: x, ApiRouteNames: P } = this.PropsStore;
      this.InitApiNames(), this.InitElementArrs(r), this.Permissions = u, this.debug = l === void 0 ? this.debug : l, this.axiosService = s === void 0 ? this.axiosService : s, this.isAfterMountQuery = C === void 0 ? this.isAfterMountQuery : C, Object.assign(this.FormStore, g), Object.assign(this.TableStore, d), Object.assign(this.PageStore, m), Object.assign(this.PermissionNames, x), Object.assign(this.ApiRouteNames, P);
    }
  }
  /** 初始化接口全称 */
  InitApiNames() {
    const { url: e } = this.PropsStore, { add: t, edit: r, delete: u, deleteFlag: l, query: s } = this.ApiRouteNames;
    this.ApiNames = {
      add: `/${e}/${t}`,
      edit: `/${e}/${r}`,
      query: `/${e}/${s}`,
      delete: `/${e}/${u}`,
      deleteFlag: `/${e}/${l}`
    };
  }
  /** 初始化表单配置参数 */
  InitElementArrs(e) {
    const { filter: t, editor: r, column: u, expand: l, columns: s } = e;
    this.ElementArrs = {
      filter: {},
      editor: {},
      column: {},
      expand: {},
      columns: {}
    };
    const C = {}, g = {};
    for (const d of t) {
      const m = s[d];
      m ? (C[d] = m.searchDefaultValue, this.ElementArrs.filter[d] = m) : console.error(`columns 中不存在参数：${d}`);
    }
    Object.assign(this.initSearchModel, ee(C));
    for (const d of r) {
      const m = s[d];
      m ? (g[d] = m.addDefaultValue, this.ElementArrs.editor[d] = m) : console.error(`columns 中不存在参数：${d}`);
    }
    if (Object.assign(this.initEditModel, ee(g)), l)
      for (const d of l) {
        const m = s[d];
        m ? this.ElementArrs.expand[d] = m : console.error(`columns 中不存在参数：${d}`);
      }
    for (const d of u) {
      const m = s[d];
      this.ElementArrs.column[d] = m;
    }
    this.ElementArrs.columns = s;
  }
}
class Oe {
  constructor(e) {
    a(this, "CrudRef", {
      SearchFormRef: F(),
      EditFormRef: F()
    });
    /** 路由传参的值 */
    a(this, "searchFormValue", E({}));
    /** 搜索表单的值 */
    a(this, "searchModel", E({}));
    /** 原始编辑表单的值 */
    a(this, "editFormValue", E({}));
    /** 编辑表单的值 */
    a(this, "editModel", E({}));
    /** 表格的数据 */
    a(this, "tableData", F([]));
    /**存储原始数据 */
    a(this, "originalData", F([]));
    /** 抽屉操作模式：add、edit */
    a(this, "Mode", F(""));
    /** 抽屉显示状态 */
    a(this, "drawerVisible", F(!1));
    /** 多选选中的数据 */
    a(this, "multipleSelection", F([]));
    /**上传的文件暂存 */
    a(this, "uploadFiles", F([]));
    Object.assign(this.searchModel, e.initSearchModel), Object.assign(this.editModel, e.initEditModel), this.tableData.value = [
      {
        userId: 1,
        recId: 2,
        input: "输入",
        numberInput: 3.5,
        radio: 1,
        select: 2,
        time: "18:00:59"
      }
    ];
  }
}
class He {
  /** 初始化 */
  constructor() {
    /** 请求方法 */
    a(this, "request");
    /** 获取容器实例 */
    a(this, "CrudCtx", () => N.getCrudCtx());
    /** 查询之前，从dataStorage中取出数据，处理成接口所需要的属性，并返回出来 */
    a(this, "beforeQueryHandler", ({ CrudCtx: e, Data: t }) => (this.CrudCtx().CrudDebug(`【查询之前】
`, `表格开启加载状态, 对参数的空值处理为undefined
`), this.CrudCtx().componentConfig.TableStore.loading = !0, { ...Pe(t) }));
    a(this, "query", () => {
      this.CrudCtx().CrudDebug(`【开始查询】
`, "把查询参数传给【查询之前】进行数据处理");
      const e = this.beforeQueryHandler({ CrudCtx: this.CrudCtx(), Data: this.CrudCtx().dataStorage.searchModel });
      e === !1 || typeof e == "boolean" || (this.CrudCtx().CrudDebug(`【查询中】
`, `使用Data进行查询, 在finally中关闭表格加载
`, "把查询后的值传给【查询之后】进行数据处理", { Data: e }), this.request({
        url: this.CrudCtx().componentConfig.ApiNames.query,
        method: "post",
        data: {
          pagenum: this.CrudCtx().componentConfig.PageStore.current,
          pagesize: this.CrudCtx().componentConfig.PageStore.pageSize,
          ...e
        }
      }).then((t) => {
        this.afterQueryHandler(t);
      }).finally(() => {
        this.CrudCtx().componentConfig.TableStore.loading = !1;
      }));
    });
    /** 查询之后 */
    a(this, "afterQueryHandler", (e) => {
      this.CrudCtx().CrudDebug(`【查询之后】
`, `把查询到的数据、分页信息进行赋值
`, { ResData: e });
      const {
        data: t,
        page: { pageNum: r, pageSize: u, total: l }
      } = e;
      this.CrudCtx().dataStorage.originalData.value = t, this.CrudCtx().dataStorage.tableData.value = t, Object.assign(this.CrudCtx().componentConfig.PageStore, { current: r, pageSize: u, total: l });
    });
    /** 点击新增之前 */
    a(this, "beforeAddHandler", ({ CrudCtx: e, Data: t }) => (this.CrudCtx().CrudDebug(`【新增之前】
`, "对编辑表单参数进行自定义修改"), !0));
    a(this, "add", () => {
      this.CrudCtx().CrudDebug(`【点击新增】
`, "把初始化的表单编辑参数传给【新增之前】进行数据处理");
      const e = E({
        ...this.CrudCtx().dataStorage.editModel,
        ...this.CrudCtx().componentConfig.initEditModel
      });
      this.beforeAddHandler({ CrudCtx: this.CrudCtx(), Data: e }) && (this.CrudCtx().CrudDebug(`【新增中】
`, "无操作，如果【新增之前】放行了就直接是【新增之后】", { Data: e }), this.afterAddHandler());
    });
    /** 点击新增之后 */
    a(this, "afterAddHandler", () => {
      this.CrudCtx().CrudDebug(`【新增之后】
`, "设置标题为新增，打开抽屉"), this.CrudCtx().dataStorage.Mode.value = "add", this.CrudCtx().dataStorage.drawerVisible.value = !0;
    });
    /** 点击编辑之前 */
    a(this, "beforeEditHandler", ({ CrudCtx: e, Data: t }) => (this.CrudCtx().CrudDebug(`【编辑之前】
`, `对编辑表单参数进行自定义修改
`), !0));
    a(this, "edit", (e) => {
      this.CrudCtx().CrudDebug(`【点击编辑】
`, `把当前点击行数据赋值到editModel, 并保存一份到editFormValue
`), Object.assign(this.CrudCtx().dataStorage.editFormValue, e);
      const t = E({
        ...this.CrudCtx().dataStorage.editModel,
        ...e
      });
      this.beforeEditHandler({ CrudCtx: this.CrudCtx(), Data: t }) && (this.CrudCtx().CrudDebug(`【编辑中】
`, "无操作，如果【编辑之前】放行了就直接是【编辑之后】", { Data: t }), this.afterEditHandler());
    });
    /** 点击编辑之后 */
    a(this, "afterEditHandler", () => {
      this.CrudCtx().CrudDebug(`【编辑之后】
`, "设置标题为编辑，打开抽屉"), this.CrudCtx().dataStorage.Mode.value = "edit", this.CrudCtx().dataStorage.drawerVisible.value = !0;
    });
    /** 点击删除之前 */
    a(this, "beforeRemoveHandler", ({ CrudCtx: e, Data: t }) => {
      this.CrudCtx().CrudDebug(`【删除之前】
`, `把Data处理成删除接口所需的样子返回
`);
      const r = this.CrudCtx().componentConfig.PropsStore.rowKeys || this.CrudCtx().componentConfig.PropsStore.rowKey || !1;
      return r ? {
        ...pe(t, r),
        row: t
      } : (console.error("错误的rowKey:", this.CrudCtx().componentConfig.PropsStore), !1);
    });
    // 因为delete是保留参数，所有定义成remove
    a(this, "remove", (e) => {
      this.CrudCtx().CrudDebug(`【点击删除】
`, `把当前点击行数据传入删除前钩子进行数据处理操作
`);
      const t = this.beforeRemoveHandler({ CrudCtx: this.CrudCtx(), Data: e });
      t && (this.CrudCtx().CrudDebug(`【删除中】
`, `使用返回的参数发起删除请求
`, { Data: t }), me.confirm("确定要删除这条数据？", "删除数据 提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: !0
      }).then(() => {
        this.request({
          url: this.CrudCtx().componentConfig.ApiNames.delete,
          method: "post",
          data: t
        }).then((r) => {
          this.afterRemoveHandler(r);
        });
      }));
    });
    /** 删除之后 */
    a(this, "afterRemoveHandler", (e) => {
      this.CrudCtx().CrudDebug(`【删除之后】
`, `成功删除后执行刷新函数
`, { ResData: e }), this.query();
    });
    /** 标记删除之前 */
    a(this, "beforeDeleteFlagHandler", ({ CrudCtx: e, Data: t }) => {
      this.CrudCtx().CrudDebug(`【标记删除之前】
`, `把传入的当前点击行数处理标记成删除接口所需的样子返回
`);
      const r = this.CrudCtx().componentConfig.PropsStore.rowKeys || this.CrudCtx().componentConfig.PropsStore.rowKey || !1;
      return r ? {
        ...pe(t, r),
        deleteFlag: t.deleteFlag == 0 ? 1 : 0,
        row: t
      } : (console.error("错误的rowKey:", this.CrudCtx().componentConfig.PropsStore), !1);
    });
    a(this, "deleteFlag", (e) => {
      this.CrudCtx().CrudDebug(`【点击标记删除】
`, `把当前点击行数据传入删除前钩子进行数据处理操作
`);
      const t = this.beforeDeleteFlagHandler({ CrudCtx: this.CrudCtx(), Data: e });
      t === !1 || typeof t == "boolean" || (this.CrudCtx().CrudDebug(`【标记删除中】
`, `使用返回的参数发起删除请求
`, { Data: t }), me.confirm("确定要修改这条数据的标记状态吗？", "修改数据状态 提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: !0
      }).then(() => {
        this.request({
          url: this.CrudCtx().componentConfig.ApiNames.deleteFlag,
          method: "post",
          data: t
        }).then((r) => {
          this.afterDeleteFlagHandler(r);
        });
      }));
    });
    /** 标记删除之后 */
    a(this, "afterDeleteFlagHandler", (e) => {
      this.CrudCtx().CrudDebug(`【标记删除之后】
`, `成功删除后执行刷新函数
`, e), this.query();
    });
    /** 处理新增/编辑提交事件 */
    a(this, "handleSubmit", async (e) => {
      e && await e.validate((t, r) => {
        t && (this.CrudCtx().dataStorage.Mode.value === "add" ? this.handleAdd() : this.handleEdit());
      });
    });
    /** 新增请求发起之前 */
    a(this, "beforeHandleAddHandler", ({ CrudCtx: e, Data: t }) => (this.CrudCtx().CrudDebug(`【新增请求发起之前】
`, `对表单数据进行自定义处理后返回
`), t));
    a(this, "handleAdd", () => {
      this.CrudCtx().CrudDebug(`【点击发起新增请求】
`, `把当前编辑表单传入新增请求发起之前钩子
`);
      const e = this.beforeHandleAddHandler({ CrudCtx: this.CrudCtx(), Data: this.CrudCtx().dataStorage.editModel });
      e === !1 || typeof e == "boolean" || (this.CrudCtx().CrudDebug(`【发起新增请求中】
`, `使用返回的参数发起请求
`, { Data: e }), this.request({
        url: this.CrudCtx().componentConfig.ApiNames.add,
        method: "post",
        data: e
      }).then((t) => {
        this.afterHandleAddHandler(t);
      }));
    });
    /** 新增请求发起之后 */
    a(this, "afterHandleAddHandler", (e) => {
      this.CrudCtx().CrudDebug(`【新增请求发起之后】
`, `成功后关闭新增表单, 执行刷新操作
`, { ResData: e }), this.cancelForm(), this.query();
    });
    /** 编辑请求发起之前 */
    a(this, "beforeHandleEditHandler", ({ CrudCtx: e, Data: t }) => (this.CrudCtx().CrudDebug(`【编辑请求发起之前】
`, `数据编辑表单数据, 只提交修改项
`), ke(this.CrudCtx().dataStorage.editFormValue, t)));
    /** 处理表单编辑动作 */
    a(this, "handleEdit", () => {
      this.CrudCtx().CrudDebug(`【点击发起编辑请求】
`, `把当前编辑表单传入编辑请求发起之前钩子
`);
      const e = this.beforeHandleEditHandler({ CrudCtx: this.CrudCtx(), Data: this.CrudCtx().dataStorage.editModel });
      e === !1 || typeof e == "boolean" || (this.CrudCtx().CrudDebug(`【发起编辑请求中】
`, `使用返回的参数发起请求
`, { Data: e }), this.request({
        url: this.CrudCtx().componentConfig.ApiNames.edit,
        method: "post",
        data: e
      }).then((t) => {
        this.afterHandleEditHandler(t);
      }));
    });
    /** 编辑请求发起之后 */
    a(this, "afterHandleEditHandler", (e) => {
      this.CrudCtx().CrudDebug(`【编辑请求发起之后】
`, `成功后关闭编辑表单, 执行刷新操作
`, { ResData: e }), this.cancelForm(), this.query();
    });
    /** 处理新增/编辑重置事件 */
    a(this, "resetForm", (e, t) => {
      this.CrudCtx().CrudDebug(`【处理新增/编辑重置事件】
`, { Mode: e, formEl: t }), t && t.value.resetFields();
    });
    /** 处理新增/编辑取消事件 */
    a(this, "cancelForm", () => {
      this.CrudCtx().CrudDebug(`【处理新增/编辑取消事件】
`, `默认关闭编辑框
`), Object.assign(this.CrudCtx().dataStorage.editModel, this.CrudCtx().componentConfig.initEditModel), this.CrudCtx().dataStorage.drawerVisible.value = !1;
    });
    this.request = (e) => this.CrudCtx().componentConfig.axiosService.request(e);
  }
}
const Ne = { name: "SearchForm" }, Ve = /* @__PURE__ */ q({
  ...Ne,
  setup(n) {
    const e = N.getCrudCtx(), { CrudRef: t, searchFormValue: r, searchModel: u } = e.dataStorage, { FormStore: l, ElementArrs: s } = e.componentConfig, { query: C } = e.crudFunction;
    Object.assign(u, r);
    const g = F();
    return Se(() => {
      t.SearchFormRef.value = g.value;
    }), (d, m) => {
      const x = p("el-form-item"), P = p("el-col"), R = p("el-row"), y = p("el-form"), S = p("el-collapse-transition");
      return G((c(), f(S, null, {
        default: i(() => [
          V("div", null, [
            _(d.$slots, "search-form"),
            v(y, {
              ref_key: "SearchFormRef",
              ref: g,
              model: o(u),
              "label-width": o(l).labelWidth,
              onKeyup: ie(o(C), ["native", "enter"])
            }, {
              default: i(() => [
                v(R, null, {
                  default: i(() => [
                    _(d.$slots, "search-form-top"),
                    (c(!0), T(U, null, Q(o(s).filter, (h, w) => (c(), f(P, {
                      span: h.span || 6
                    }, {
                      default: i(() => [
                        v(x, {
                          label: h.label,
                          prop: w
                        }, {
                          default: i(() => [
                            (c(), f(de(`my-${h.type}`), L({
                              modelValue: o(u)[w],
                              "onUpdate:modelValue": (B) => o(u)[w] = B,
                              clearable: ""
                            }, h.formProps), null, 16, ["modelValue", "onUpdate:modelValue"]))
                          ]),
                          _: 2
                        }, 1032, ["label", "prop"])
                      ]),
                      _: 2
                    }, 1032, ["span"]))), 256)),
                    _(d.$slots, "search-form-bottom")
                  ]),
                  _: 3
                })
              ]),
              _: 3
            }, 8, ["model", "label-width", "onKeyup"])
          ])
        ]),
        _: 3
      }, 512)), [
        [Fe, o(l).isShowSearchForm]
      ]);
    };
  }
}), Re = { class: "buttonDiv" }, Be = { class: "buttonDiv_slot" }, Te = { class: "buttonDiv_slot__left" }, je = { class: "buttonDiv_slot__right" }, qe = { name: "ButtonSole" }, Ie = /* @__PURE__ */ q({
  ...qe,
  setup(n) {
    const e = N.getCrudCtx(), { CrudRef: t } = e.dataStorage, { query: r, resetForm: u, add: l } = e.crudFunction, { FormStore: s, Permissions: C, PermissionNames: g } = e.componentConfig;
    return (d, m) => {
      const x = p("el-button"), P = p("el-button-group"), R = se("Auth");
      return c(), T("div", Re, [
        V("div", Be, [
          V("div", Te, [
            G((c(), f(x, {
              title: "新增",
              type: "primary",
              icon: "plus",
              onClick: o(l)
            }, {
              default: i(() => [
                j("新增")
              ]),
              _: 1
            }, 8, ["onClick"])), [
              [R, { Permissions: o(C), access: [o(g).add] }]
            ]),
            _(d.$slots, "left", {}, void 0, !0)
          ]),
          V("div", je, [
            _(d.$slots, "right", {}, void 0, !0)
          ])
        ]),
        v(P, { class: "buttonDiv_group" }, {
          default: i(() => [
            v(x, {
              title: "查询",
              color: "#67c23a",
              icon: "search",
              onClick: o(r)
            }, null, 8, ["onClick"]),
            v(x, {
              title: "重置",
              color: "#e6a23c",
              icon: "refresh",
              onClick: m[0] || (m[0] = (y) => o(u)("search", o(t).SearchFormRef))
            }),
            v(x, {
              title: "展开/折叠",
              color: "#409eff",
              icon: "expand",
              onClick: m[1] || (m[1] = (y) => o(s).isShowSearchForm = !o(s).isShowSearchForm)
            })
          ]),
          _: 1
        })
      ]);
    };
  }
});
const ne = (n, e) => {
  const t = n.__vccOpts || n;
  for (const [r, u] of e)
    t[r] = u;
  return t;
}, ze = /* @__PURE__ */ ne(Ie, [["__scopeId", "data-v-5a6cb8c6"]]), Ue = { key: 1 }, Ke = { name: "Table" }, Qe = /* @__PURE__ */ q({
  ...Ke,
  emits: ["row-contextmenu"],
  setup(n, { emit: e }) {
    const t = F(), r = N.getCrudCtx(), { TableStore: u, ElementArrs: l, PropsStore: s, PageStore: C, Permissions: g, PermissionNames: d } = r.componentConfig, { tableData: m, multipleSelection: x, searchModel: P } = r.dataStorage, { query: R, edit: y, remove: S, deleteFlag: h } = r.crudFunction, w = Z(() => Object.getOwnPropertyNames(l.expand).length !== 0 ? l.expand : l.columns), B = Z(() => (C.current - 1) * C.pageSize + 1), H = (D, A, $) => {
      var M;
      if ((M = A.formProps) != null && M.options) {
        const O = A.formProps.options.find((X) => X.value === D[$]);
        return (O == null ? void 0 : O.label) || D[$];
      }
      return D[$];
    }, k = (D, { row: A, column: $ }) => {
      const M = {};
      for (const O in D.columnSlot)
        typeof D.columnSlot[O] == "function" ? M[O] = D.columnSlot[O]({
          ...this,
          row: A,
          column: $
        }) : M[O] = D.columnSlot[O];
      return M;
    }, K = (D, A, $, M) => {
      const { label: O } = A;
      navigator.clipboard ? O && ($ != null && $.innerText) && navigator.clipboard.writeText($ == null ? void 0 : $.innerText).then(() => {
        we({ type: "success", message: "复制成功！", grouping: !0 });
      }).catch((X) => {
        console.error("写入剪贴板时出错：", X);
      }) : console.warn("该浏览器不支持clipboard API");
    }, re = (D, A, $) => {
      e("row-contextmenu", { row: D, column: A, event: $ });
    };
    return (D, A) => {
      const $ = p("el-empty"), M = p("el-table-column"), O = p("el-descriptions-item"), X = p("el-descriptions"), ge = p("el-input"), ue = p("el-button"), be = p("el-table"), ae = se("Auth"), _e = se("loading");
      return G((c(), f(be, {
        ref_key: "TableRef",
        ref: t,
        data: o(m),
        rowKey: o(s).rowKey,
        height: D.$attrs.height,
        onCellDblclick: K,
        onSelectionChange: A[2] || (A[2] = (b) => x.value = b),
        onRowContextmenu: re
      }, {
        empty: i(() => [
          v($, {
            "image-size": 80,
            description: "暂无数据"
          })
        ]),
        default: i(() => [
          o(u).isOpenMultipleSelection ? (c(), f(M, {
            key: 0,
            type: "selection",
            "reserve-selection": "",
            width: 44
          })) : J("", !0),
          o(u).isOpenExpand ? (c(), f(M, {
            key: 1,
            type: "expand",
            width: 35
          }, {
            default: i((b) => [
              _(D.$slots, "table-expand", { scope: b }, () => [
                v(X, {
                  column: o(u).expandColumn,
                  border: ""
                }, {
                  default: i(() => [
                    (c(!0), T(U, null, Q(o(w), (I, W) => (c(), f(O, {
                      key: W,
                      label: I.label
                    }, {
                      default: i(() => [
                        j(Y(H(b.row, I, W)), 1)
                      ]),
                      _: 2
                    }, 1032, ["label"]))), 128))
                  ]),
                  _: 2
                }, 1032, ["column"])
              ])
            ]),
            _: 3
          })) : J("", !0),
          o(u).isOpenIndex ? (c(), f(M, {
            key: 2,
            label: "###",
            width: 55,
            align: "right",
            "show-overflow-tooltip": ""
          }, {
            default: i(({ $index: b }) => [
              j(Y(o(B) + b), 1)
            ]),
            _: 1
          })) : J("", !0),
          (c(!0), T(U, null, Q(o(l).column, (b, I) => (c(), f(M, L({
            key: I,
            align: b.align || "left",
            label: b.label,
            prop: I,
            formatter: (W) => H(W, b, I)
          }, b.tableProps, { "show-overflow-tooltip": "" }), De({ _: 2 }, [
            b.columnSlot ? {
              name: "default",
              fn: i(({ row: W, column: le }) => [
                (c(), f(de(b.columnSlot.is), L({
                  modelValue: o(r).dataStorage.editFormValue[le.rawColumnKey],
                  "onUpdate:modelValue": (ye) => o(r).dataStorage.editFormValue[le.rawColumnKey] = ye
                }, k(b, { row: W, column: le })), null, 16, ["modelValue", "onUpdate:modelValue"]))
              ]),
              key: "0"
            } : void 0
          ]), 1040, ["align", "label", "prop", "formatter"]))), 128)),
          _(D.$slots, "table-column"),
          o(u).isShowMenu ? (c(), f(M, {
            key: 3,
            align: o(u).menuAlign,
            width: o(u).menuWidth
          }, {
            header: i(() => [
              o(s).keyName ? (c(), f(ge, {
                key: 0,
                modelValue: o(P)[o(s).keyName],
                "onUpdate:modelValue": A[0] || (A[0] = (b) => o(P)[o(s).keyName] = b),
                placeholder: o(l).filter[o(s).keyName].label + "模糊查找",
                onKeyup: A[1] || (A[1] = ie((b) => o(R)(), ["native", "enter"])),
                clearable: ""
              }, null, 8, ["modelValue", "placeholder"])) : (c(), T("span", Ue, "操作"))
            ]),
            default: i((b) => [
              _(D.$slots, "menu-top", { scope: b }),
              G((c(), f(ue, {
                title: "启用/禁用",
                plain: "",
                type: b.row[o(d).deleteFlag] ? "danger" : "success",
                onClick: (I) => o(h)(b.row)
              }, {
                default: i(() => [
                  j(Y(b.row[o(d).deleteFlag] ? "禁用" : "启用"), 1)
                ]),
                _: 2
              }, 1032, ["type", "onClick"])), [
                [ae, { Permissions: o(g), access: [o(d).deleteFlag] }]
              ]),
              G(v(ue, {
                title: "编辑",
                plain: "",
                type: "primary",
                icon: "edit",
                onClick: (I) => o(y)(b.row)
              }, null, 8, ["onClick"]), [
                [ae, { Permissions: o(g), access: [o(d).edit] }]
              ]),
              G(v(ue, {
                title: "删除",
                plain: "",
                type: "danger",
                icon: "delete",
                onClick: (I) => o(S)(b.row)
              }, null, 8, ["onClick"]), [
                [ae, { Permissions: o(g), access: [o(d).delete] }]
              ]),
              _(D.$slots, "menu-bottom", { scope: b })
            ]),
            _: 3
          }, 8, ["align", "width"])) : J("", !0)
        ]),
        _: 3
      }, 8, ["data", "rowKey", "height"])), [
        [_e, o(u).loading]
      ]);
    };
  }
}), Le = { name: "Pagination" }, We = /* @__PURE__ */ q({
  ...Le,
  setup(n) {
    const e = N.getCrudCtx(), { PageStore: t } = e.componentConfig, { query: r } = e.crudFunction, u = (s) => {
      t.pageSize = s, r();
    }, l = (s) => {
      t.current = s, t.current != null && r();
    };
    return (s, C) => {
      const g = p("el-pagination");
      return c(), f(g, {
        "hide-on-single-page": o(t).isHideOnSinglePage,
        "current-page": o(t).current,
        "page-size": o(t).pageSize,
        "page-sizes": o(t).pageSizes,
        background: "",
        layout: o(t).layout,
        total: o(t).total,
        onSizeChange: u,
        onCurrentChange: l
      }, null, 8, ["hide-on-single-page", "current-page", "page-size", "page-sizes", "layout", "total"]);
    };
  }
}), Ge = { style: { display: "flex", "justify-content": "space-between" } }, Je = { name: "EditForm" }, Ye = /* @__PURE__ */ q({
  ...Je,
  setup(n) {
    const e = N.getCrudCtx(), { resetForm: t, handleSubmit: r, cancelForm: u } = e.crudFunction, { CrudRef: l, editModel: s, drawerVisible: C, Mode: g } = e.dataStorage, { FormStore: d, ElementArrs: m } = e.componentConfig, x = F();
    Ce(
      () => x.value,
      (y, S) => {
        y && y !== S && (l.EditFormRef.value = y);
      }
    );
    const P = (y) => typeof y.disabled == "function" ? y.disabled(g.value) : !1, R = Z(() => {
      var S;
      let y = {};
      for (const [h, w] of Object.entries(m.editor))
        (((S = w.visible) == null ? void 0 : S.call(w, g.value)) ?? !0) && (y[h] = w);
      return y;
    });
    return (y, S) => {
      const h = p("el-form-item"), w = p("el-form"), B = p("el-button"), H = p("el-drawer");
      return c(), f(H, {
        modelValue: o(C),
        "onUpdate:modelValue": S[3] || (S[3] = (k) => Ee(C) ? C.value = k : null),
        title: o(g) === "add" ? "新增" : "修改",
        size: o(d).drawerSize,
        "close-on-click-modal": !1,
        "before-close": o(u)
      }, {
        footer: i(() => [
          V("div", Ge, [
            V("div", null, [
              v(B, {
                title: "取消",
                onClick: o(u)
              }, {
                default: i(() => [
                  j("取消")
                ]),
                _: 1
              }, 8, ["onClick"]),
              v(B, {
                title: "重置",
                type: "warning",
                plain: "",
                onClick: S[1] || (S[1] = (k) => o(t)("edit", o(l).EditFormRef))
              }, {
                default: i(() => [
                  j("重置")
                ]),
                _: 1
              })
            ]),
            v(B, {
              title: "提交",
              type: "primary",
              "native-type": "submit",
              onClick: S[2] || (S[2] = (k) => o(r)(o(l).EditFormRef.value))
            }, {
              default: i(() => [
                j("提交")
              ]),
              _: 1
            })
          ])
        ]),
        default: i(() => [
          _(y.$slots, "edit-form", { editModel: o(s) }),
          v(w, {
            ref_key: "EditFormRef",
            ref: x,
            model: o(s),
            "label-width": o(d).labelWidth,
            onKeyup: S[0] || (S[0] = ie((k) => o(r)(o(l).EditFormRef.value), ["native", "enter"]))
          }, {
            default: i(() => [
              _(y.$slots, "edit-form-top", { editModel: o(s) }),
              (c(!0), T(U, null, Q(o(R), (k, K) => (c(), f(h, {
                label: k.label,
                prop: K,
                rules: k.rules
              }, {
                default: i(() => [
                  (c(), f(de(`my-${k.type}`), L({
                    modelValue: o(s)[K],
                    "onUpdate:modelValue": (re) => o(s)[K] = re,
                    clearable: "",
                    disabled: P(k)
                  }, k.formProps), null, 16, ["modelValue", "onUpdate:modelValue", "disabled"]))
                ]),
                _: 2
              }, 1032, ["label", "prop", "rules"]))), 256)),
              _(y.$slots, "edit-form-bottom", { editModel: o(s) })
            ]),
            _: 3
          }, 8, ["model", "label-width"]),
          _(y.$slots, "default")
        ]),
        _: 3
      }, 8, ["modelValue", "title", "size", "before-close"]);
    };
  }
});
function Xe(n) {
  return n && n.__esModule && Object.prototype.hasOwnProperty.call(n, "default") ? n.default : n;
}
var he = {};
(function(n) {
  Object.defineProperty(n, "__esModule", { value: !0 });
  var e = {
    name: "zh-cn",
    el: {
      colorpicker: {
        confirm: "确定",
        clear: "清空"
      },
      datepicker: {
        now: "此刻",
        today: "今天",
        cancel: "取消",
        clear: "清空",
        confirm: "确定",
        selectDate: "选择日期",
        selectTime: "选择时间",
        startDate: "开始日期",
        startTime: "开始时间",
        endDate: "结束日期",
        endTime: "结束时间",
        prevYear: "前一年",
        nextYear: "后一年",
        prevMonth: "上个月",
        nextMonth: "下个月",
        year: "年",
        month1: "1 月",
        month2: "2 月",
        month3: "3 月",
        month4: "4 月",
        month5: "5 月",
        month6: "6 月",
        month7: "7 月",
        month8: "8 月",
        month9: "9 月",
        month10: "10 月",
        month11: "11 月",
        month12: "12 月",
        weeks: {
          sun: "日",
          mon: "一",
          tue: "二",
          wed: "三",
          thu: "四",
          fri: "五",
          sat: "六"
        },
        months: {
          jan: "一月",
          feb: "二月",
          mar: "三月",
          apr: "四月",
          may: "五月",
          jun: "六月",
          jul: "七月",
          aug: "八月",
          sep: "九月",
          oct: "十月",
          nov: "十一月",
          dec: "十二月"
        }
      },
      select: {
        loading: "加载中",
        noMatch: "无匹配数据",
        noData: "无数据",
        placeholder: "请选择"
      },
      cascader: {
        noMatch: "无匹配数据",
        loading: "加载中",
        placeholder: "请选择",
        noData: "暂无数据"
      },
      pagination: {
        goto: "前往",
        pagesize: "条/页",
        total: "共 {total} 条",
        pageClassifier: "页",
        deprecationWarning: "你使用了一些已被废弃的用法，请参考 el-pagination 的官方文档"
      },
      messagebox: {
        title: "提示",
        confirm: "确定",
        cancel: "取消",
        error: "输入的数据不合法!"
      },
      upload: {
        deleteTip: "按 delete 键可删除",
        delete: "删除",
        preview: "查看图片",
        continue: "继续上传"
      },
      table: {
        emptyText: "暂无数据",
        confirmFilter: "筛选",
        resetFilter: "重置",
        clearFilter: "全部",
        sumText: "合计"
      },
      tree: {
        emptyText: "暂无数据"
      },
      transfer: {
        noMatch: "无匹配数据",
        noData: "无数据",
        titles: ["列表 1", "列表 2"],
        filterPlaceholder: "请输入搜索内容",
        noCheckedFormat: "共 {total} 项",
        hasCheckedFormat: "已选 {checked}/{total} 项"
      },
      image: {
        error: "加载失败"
      },
      pageHeader: {
        title: "返回"
      },
      popconfirm: {
        confirmButtonText: "确定",
        cancelButtonText: "取消"
      }
    }
  };
  n.default = e;
})(he);
const Ze = /* @__PURE__ */ Xe(he), et = { style: { padding: "20px", "background-color": "#fff", "border-radius": "20px" } }, tt = { name: "CrudEl" }, fe = /* @__PURE__ */ q({
  ...tt,
  props: {
    url: null,
    source: null,
    rowKey: null,
    rowKeys: null,
    keyName: null,
    hooks: null,
    debug: null,
    axiosService: null,
    isAfterMountQuery: null,
    FormStore: null,
    TableStore: null,
    PageStore: null,
    PermissionNames: null,
    Permissions: null,
    ApiRouteNames: null,
    ApiNames: null
  },
  emits: ["row-contextmenu"],
  setup(n, { expose: e, emit: t }) {
    const r = n, u = N.getCrudCtx(), l = Ae();
    u.InitializationProps(r), u.InitFunction(r.hooks || {});
    const s = F(), C = F(), g = F(), d = F(), { FormStore: m } = u.componentConfig, { query: x } = u.crudFunction, { isAfterMountQuery: P } = u.componentConfig, R = F(0), y = F(0), S = Z(() => m.isShowSearchForm ? R.value : y.value);
    if (Object.getOwnPropertyNames(l.params).length !== 0) {
      const h = l.params.data ? JSON.parse(decodeURIComponent(l.params.data)) : {};
      Object.assign(u.dataStorage.searchFormValue, h);
    }
    if (Object.getOwnPropertyNames(l.query).length !== 0) {
      const h = l.query.data ? JSON.parse(decodeURIComponent(l.query.data)) : {};
      Object.assign(u.dataStorage.searchFormValue, h);
    }
    return $e(() => {
      const h = C.value.children[0].style.display;
      C.value.children[0].style.display = "block", R.value = s.value.offsetHeight - 40 - C.value.offsetHeight - g.value.offsetHeight - d.value.offsetHeight, y.value = s.value.offsetHeight - 40 - g.value.offsetHeight - d.value.offsetHeight, C.value.children[0].style.display = h, P && x();
    }), e({ CrudCtx: u }), (h, w) => {
      const B = p("el-config-provider");
      return c(), f(B, { locale: o(Ze) }, {
        default: i(() => [
          V("div", {
            ref_key: "containerDivRef",
            ref: s,
            style: { height: "100%" }
          }, [
            V("div", et, [
              V("div", {
                ref_key: "searchDivRef",
                ref: C
              }, [
                v(Ve, null, {
                  "search-form": i(() => [
                    _(h.$slots, "search-form")
                  ]),
                  "search-form-top": i(() => [
                    _(h.$slots, "search-form-top")
                  ]),
                  "search-form-bottom": i(() => [
                    _(h.$slots, "search-form-bottom")
                  ]),
                  _: 3
                })
              ], 512),
              V("div", {
                ref_key: "buttonDivRef",
                ref: g
              }, [
                v(ze, null, {
                  left: i(() => [
                    _(h.$slots, "button-left")
                  ]),
                  right: i(() => [
                    _(h.$slots, "button-right")
                  ]),
                  _: 3
                })
              ], 512),
              v(Qe, {
                height: o(S),
                onRowContextmenu: w[0] || (w[0] = ({ row: H, column: k, event: K }) => t("row-contextmenu", { row: H, column: k, event: K }, o(u)))
              }, {
                "table-expand": i(({ scope: H }) => [
                  _(h.$slots, "table-expand", { scope: H })
                ]),
                "table-column": i(() => [
                  _(h.$slots, "table-column")
                ]),
                "menu-top": i(({ scope: H }) => [
                  _(h.$slots, "menu-top", { scope: H })
                ]),
                "menu-bottom": i(({ scope: H }) => [
                  _(h.$slots, "menu-bottom", { scope: H })
                ]),
                _: 3
              }, 8, ["height"]),
              V("div", {
                ref_key: "paginationDivRef",
                ref: d
              }, [
                v(We, { style: { "padding-top": "20px" } })
              ], 512),
              v(Ye, null, {
                "edit-form": i(() => [
                  _(h.$slots, "edit-form")
                ]),
                "edit-form-top": i(() => [
                  _(h.$slots, "edit-form-top")
                ]),
                "edit-form-bottom": i(() => [
                  _(h.$slots, "edit-form-bottom")
                ]),
                _: 3
              })
            ])
          ], 512)
        ]),
        _: 3
      }, 8, ["locale"]);
    };
  }
}), ot = {
  mounted(n, e, t) {
    const r = e.value.Permissions, u = e.value.access;
    let l = !1;
    for (let s = 0; s < u.length; s++)
      r.includes(u[s]) && (l = !0);
    l || n.parentNode && n.parentNode.removeChild(n);
  }
}, nt = { name: "MyInput" };
function rt(n, e, t, r, u, l) {
  const s = p("el-input");
  return c(), f(s, te(oe(n.$attrs)), null, 16);
}
const ut = /* @__PURE__ */ ne(nt, [["render", rt]]), at = { name: "MyInputNumber" };
function lt(n, e, t, r, u, l) {
  const s = p("el-input-number");
  return c(), f(s, te(oe(n.$attrs)), null, 16);
}
const st = /* @__PURE__ */ ne(at, [["render", lt]]), it = { name: "MySelect" }, dt = /* @__PURE__ */ q({
  ...it,
  props: {
    options: null
  },
  setup(n) {
    return (e, t) => {
      const r = p("el-option"), u = p("el-select");
      return c(), f(u, L({ style: { width: "100%" } }, e.$attrs), {
        default: i(() => [
          (c(!0), T(U, null, Q(n.options, (l) => (c(), f(r, {
            key: l.value,
            label: l.label,
            value: l.value
          }, null, 8, ["label", "value"]))), 128))
        ]),
        _: 1
      }, 16);
    };
  }
}), ct = { name: "MyDatePicker" }, mt = /* @__PURE__ */ q({
  ...ct,
  setup(n) {
    return (e, t) => {
      const r = p("el-date-picker");
      return c(), f(r, te(oe(e.$attrs)), null, 16);
    };
  }
}), pt = { name: "MyTimePicker" };
function ft(n, e, t, r, u, l) {
  const s = p("el-time-picker");
  return c(), f(s, te(oe(n.$attrs)), null, 16);
}
const Ct = /* @__PURE__ */ ne(pt, [["render", ft]]), ht = { name: "MyRadioGroup" }, gt = /* @__PURE__ */ q({
  ...ht,
  props: {
    modelValue: null,
    options: null,
    button: { type: Boolean },
    border: { type: Boolean }
  },
  emits: ["update:modelValue"],
  setup(n, { emit: e }) {
    const t = n, r = F(t.modelValue);
    Ce(
      () => t.modelValue,
      (l) => {
        r.value = l;
      }
    );
    const u = (l) => {
      const s = r.value === l ? void 0 : l;
      e("update:modelValue", s);
    };
    return (l, s) => {
      const C = p("el-radio-button"), g = p("el-radio"), d = p("el-radio-group");
      return c(), f(d, L({
        modelValue: r.value,
        "onUpdate:modelValue": s[0] || (s[0] = (m) => r.value = m)
      }, l.$attrs), {
        default: i(() => [
          n.button ? (c(!0), T(U, { key: 0 }, Q(n.options, (m, x) => (c(), f(C, {
            key: x,
            label: m.value,
            onClick: ce((P) => u(m.value), ["prevent"])
          }, {
            default: i(() => [
              j(Y(m.label), 1)
            ]),
            _: 2
          }, 1032, ["label", "onClick"]))), 128)) : (c(!0), T(U, { key: 1 }, Q(n.options, (m, x) => (c(), f(g, {
            border: n.border,
            key: x,
            label: m.value,
            onClick: ce((P) => u(m.value), ["prevent"])
          }, {
            default: i(() => [
              j(Y(m.label), 1)
            ]),
            _: 2
          }, 1032, ["border", "label", "onClick"]))), 128))
        ]),
        _: 1
      }, 16, ["modelValue"]);
    };
  }
}), bt = { name: "MyUpload" }, _t = /* @__PURE__ */ q({
  ...bt,
  props: {
    butName: null,
    listType: null,
    showFileList: { type: Boolean },
    URL: null
  },
  setup(n) {
    return (e, t) => {
      const r = p("el-button"), u = p("plus"), l = p("el-icon"), s = p("el-image"), C = p("el-upload");
      return c(), f(C, L({
        style: { width: "100%" },
        listType: n.listType,
        showFileList: n.showFileList
      }, e.$attrs), {
        default: i(() => [
          n.listType !== "picture-card" ? (c(), f(r, {
            key: 0,
            type: "primary"
          }, {
            default: i(() => [
              j(Y(n.butName || "上传文件"), 1)
            ]),
            _: 1
          })) : J("", !0),
          n.listType === "picture-card" ? (c(), T(U, { key: 1 }, [
            n.URL ? (c(), f(s, {
              key: 1,
              src: n.URL,
              fit: "contain"
            }, null, 8, ["src"])) : (c(), f(l, { key: 0 }, {
              default: i(() => [
                v(u)
              ]),
              _: 1
            }))
          ], 64)) : J("", !0)
        ]),
        _: 1
      }, 16, ["listType", "showFileList"]);
    };
  }
}), yt = [
  //
  ut,
  st,
  dt,
  mt,
  Ct,
  gt,
  _t
], Dt = {
  install: (n, e) => {
    n.component(fe.name, fe), n.directive("Auth", ot), Object.values(yt).forEach((t) => {
      n.component(t.name, t);
    }), e.axiosService || console.error("未传入axios.create()可能会导致请求出现错误"), N.InitGlobalConfig(e);
  }
};
export {
  Me as ComponentConfig,
  N as CrudContext,
  He as CrudFunction,
  Oe as DataStorage,
  Dt as default
};
